<tool id="imagemat2tab" name="Convert image 3D MAT to 2D TAB" version="0.0.1">
  <description> convert image mat file in tab file   </description>
  <command interpreter="bash"> octave_wrapper.sh $script_file </command>

  <inputs>
    <param name="input"  format="mat,tabular"  type="data" label="Select mat ou tabular file" help="file to transform"/>
    <param format="text" name="convert" type="select" label="convert">
      <option value="imtab" >image 3D mat to image 2D tabular </option>
      <option value="tabim" selected="True" >image 2D tabular to image 3D mat</option>
    </param>
  </inputs>

  <configfiles>
    <configfile name="script_file">
      addpath([getenv('PATH_CHEM') '/octave'])
      #if str($convert) == 'imtab'
      x=load("${input.file_name}");
      var=who;
      x=eval(var);
      [n,m,z]=size(x);
      spectra=reshape(x,n*m,z);
      sp=struct('d',{spectra},'i',{num2str((1:n*m)')},'v',num2str((1:z)'));
      struct2tab(sp,"${outfile}");
      #elif str($convert) == 'tabim'
      addpath([getenv('PATH_CHEM') '/octave'])
      x=tab2struct("${input.file_name}");
      [n,m]=size(x.d);
      image=reshape(x.d,sqrt(n),sqrt(n),m);
      save("${outfile}",'image','-v6');
      #end if

    </configfile>
  </configfiles>

  <outputs>
    <data name="outfile" type="data" label="${input.name}" >
      <change_format>
4        <when input_dataset="input" attribute="ext" value="tabular" format="mat"/>
4        <when input_dataset="input" attribute="ext" value="mat" format="tabular"/>
5      </change_format>
    </data>
  </outputs>
  <tests>
    <test>
      <param name="input1" value="1.bed"/>
      <param name="col1" value="4" />
      <param name="col2" value="1" />
      <param name="datacol" value="6" />
      <output name="outfile1" file="respls.dat"/>
    </test>
  </tests>
<help>

.. class:: infomark

**Authors** Fabien Gogé (IRSTEA), Virginie Rossard (INRA), Eric Latrille (INRA), Jean-Michel Roger (IRSTEA), Jean-Claude Boulet (INRA)

---------------------------------------------------

===============================
CONVERT IMAGE MAT TO TABULAR
===============================

-----------
Description
-----------


Converts a file .MAT( version 6) containing image 3D (dim n*m*z) into a 2D (dim (n*m)*z) file .TABULAR


----------
Input file
----------

input.file_name .mat (version 6) containing one 3D matrix(for matlab or octave)

-----------
Output file
-----------

File .tabular



</help>
</tool>
